Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Zwei Probleme in php5 (Aktualisierung)
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in php5 (Aktualisierung)
ID: DSA-3198-2
Distribution: Debian
Plattformen: Debian wheezy
Datum: Sa, 28. März 2015, 23:41
Referenzen: Keine Angabe
Update von: Zwei Probleme in php5

Originalnachricht

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

- -------------------------------------------------------------------------
Debian Security Advisory DSA-3198-2 security@debian.org
http://www.debian.org/security/ Salvatore Bonaccorso
March 28, 2015 http://www.debian.org/security/faq
- -------------------------------------------------------------------------

Package : php5
Debian Bug : 781125

The previous update for php5, DSA-3198-1, introduced a regression
causing segmentation faults when using SoapClient::__setSoapHeader.
Updated packages are now available to address this regression. For
reference, the original advisory text follows.

Multiple vulnerabilities have been discovered in the PHP language:

CVE-2015-2301

Use-after-free in the phar extension.

CVE-2015-2331

Emmanuel Law discovered an integer overflow in the processing
of ZIP archives, resulting in denial of service or potentially
the execution of arbitrary code.

For the stable distribution (wheezy), this problem has been fixed in
version 5.4.39-0+deb7u2.

We recommend that you upgrade your php5 packages.

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://www.debian.org/security/

Mailing list: debian-security-announce@lists.debian.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJVFvbyAAoJEAVMuPMTQ89E1pcP/2Twi1qdPzOX+85Aosyg82jx
+lvbxl/AjjyJ/Awc88ZpuhUBpC++93Qe0dAx3BWhNqIqwM1m+vCxWM/f8oWhnoIQ
MWFLDz4uYn+3tUBoilnx5bck2p39Qvi/Q9S6Z7WWwv16O7O8u0UQu4cSzFg5v3IC
zpTGw4jsjwXi9n1r9gzInU6LV8lJ7nAeL/sTHiRUDeZSeQ/1xlp7lK5+9PwdrAqe
VeowB9mrvtrWtr8Q8twu2IumXNizmZlmQHtmAFLE8OCpF1olcdMvMQvJe3YaWTr1
kr3OBvIbdNJMEvwVxEU37epq9Tx4R1RO1US3NPoDZuQXcQZhHQXYQo4BEQMMI/HV
6R36P9Mqis4CZgVl4O8GlHDujVwK+Y1ncOV7sDrWSGrNd98VV5Zb3ayBh2CgtM8U
CxScFASmYCrkfZd/qX/NNdBBiriwxBbjf4rhbPVtRNX4fxBKqPPfAab03G7yFl+8
0trCprjO+SCX6/vOqAcKRRuK6EVfw34qD6XVmVxTmIgzCIQNF161AHgpVCyS515P
agiAogObz5s9gngyYQw4OKlNO7WtCYCKqkFwvv5Oe6GFIPHZ+ZXpqwtOK996oyoZ
ggwq7cpYPsTSEU9h+y+wcMXo56cPHyYwZeQ33vVIptk6X+qqgQMvWkdyuVPzx6Dg
ZbIikah7hOBTuq2kyunX
=Q9Fo
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to debian-security-announce-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact
listmaster@lists.debian.org
Archive: https://lists.debian.org/E1Ybvlb-00014R-Vb@master.debian.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung